## org.eclipse.datatools.modelbase.dbdefinition.impl
Class TriggerDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.TriggerDefinitionImpl

All Implemented Interfaces:
  TriggerDefinition

    public class TriggerDefinitionImpl

extends EObjectImpl
implements TriggerDefinition

An implementation of the model object 'Trigger Definition'.

The following features are implemented:

- `Maximum Reference Part Length`
- `Maximum Action Body Length`
- `Type Supported`
- `When Clause Supported`
- `Granularity Supported`
- `References Clause Supported`
- `Per Column Update Trigger Supported`
- `Instead Of Trigger Supported`
- `Row Trigger Reference Supported`
- `Table Trigger Reference Supported`
- `Maximum Identifier Length`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getMaximumActionBodyLength()`
`int` `getMaximumIdentifierLength()`
`int` `getMaximumReferencePartLength()`
`boolean` `isGranularitySupported()`
`boolean` `isInsteadOfTriggerSupported()`
`boolean` `isPerColumnUpdateTriggerSupported()`
`boolean` `isReferencesClauseSupported()`
`boolean` `isRowTriggerReferenceSupported()`
`boolean` `isTableTriggerReferenceSupported()`
`boolean` `isTypeSupported()`
`boolean` `isWhenClauseSupported()`
`void` `setGranularitySupported(boolean newGranularitySupported)`
`void` `setInsteadOfTriggerSupported(boolean newInsteadOfTriggerSupported)`
`void` `setMaximumActionBodyLength(int newMaximumActionBodyLength)`
`void` `setMaximumIdentifierLength(int newMaximumIdentifierLength)`
`void` `setMaximumReferencePartLength(int newMaximumReferencePartLength)`
`void` `setPerColumnUpdateTriggerSupported(boolean newPerColumnUpdateTriggerSupported)`
`void` `setReferencesClauseSupported(boolean newReferencesClauseSupported)`
`void` `setRowTriggerReferenceSupported(boolean newRowTriggerReferenceSupported)`
`void` `setTableTriggerReferenceSupported(boolean newTableTriggerReferenceSupported)`
`void` `setTypeSupported(boolean newTypeSupported)`
`void` `setWhenClauseSupported(boolean newWhenClauseSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMaximumReferencePartLength

    public int getMaximumReferencePartLength()

  Specified by:
    `getMaximumReferencePartLength` in interface `TriggerDefinition`
  Returns:
    the value of the 'Maximum Reference Part Length' attribute.
  See Also:
    `TriggerDefinition.setMaximumReferencePartLength(int)`, `DatabaseDefinitionPackage.getTriggerDefinition_MaximumReferencePartLength()`

### setMaximumReferencePartLength

    public void setMaximumReferencePartLength(int newMaximumReferencePartLength)

  Specified by:
    `setMaximumReferencePartLength` in interface `TriggerDefinition`
  Parameters:
    `newMaximumReferencePartLength` - the new value of the 'Maximum Reference Part Length' attribute.
  See Also:
    `TriggerDefinition.getMaximumReferencePartLength()`

### getMaximumActionBodyLength

    public int getMaximumActionBodyLength()

  Specified by:
    `getMaximumActionBodyLength` in interface `TriggerDefinition`
  Returns:
    the value of the 'Maximum Action Body Length' attribute.
  See Also:
    `TriggerDefinition.setMaximumActionBodyLength(int)`, `DatabaseDefinitionPackage.getTriggerDefinition_MaximumActionBodyLength()`

### setMaximumActionBodyLength

    public void setMaximumActionBodyLength(int newMaximumActionBodyLength)

  Specified by:
    `setMaximumActionBodyLength` in interface `TriggerDefinition`
  Parameters:
    `newMaximumActionBodyLength` - the new value of the 'Maximum Action Body Length' attribute.
  See Also:
    `TriggerDefinition.getMaximumActionBodyLength()`

### isTypeSupported

    public boolean isTypeSupported()

  Specified by:
    `isTypeSupported` in interface `TriggerDefinition`
  Returns:
    the value of the 'Type Supported' attribute.
  See Also:
    `TriggerDefinition.setTypeSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_TypeSupported()`

### setTypeSupported

    public void setTypeSupported(boolean newTypeSupported)

  Specified by:
    `setTypeSupported` in interface `TriggerDefinition`
  Parameters:
    `newTypeSupported` - the new value of the 'Type Supported' attribute.
  See Also:
    `TriggerDefinition.isTypeSupported()`

### isWhenClauseSupported

    public boolean isWhenClauseSupported()

  Specified by:
    `isWhenClauseSupported` in interface `TriggerDefinition`
  Returns:
    the value of the 'When Clause Supported' attribute.
  See Also:
    `TriggerDefinition.setWhenClauseSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_WhenClauseSupported()`

### setWhenClauseSupported

    public void setWhenClauseSupported(boolean newWhenClauseSupported)

  Specified by:
    `setWhenClauseSupported` in interface `TriggerDefinition`
  Parameters:
    `newWhenClauseSupported` - the new value of the 'When Clause Supported' attribute.
  See Also:
    `TriggerDefinition.isWhenClauseSupported()`

### isGranularitySupported

    public boolean isGranularitySupported()

  Specified by:
    `isGranularitySupported` in interface `TriggerDefinition`
  Returns:
    the value of the 'Granularity Supported' attribute.
  See Also:
    `TriggerDefinition.setGranularitySupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_GranularitySupported()`

### setGranularitySupported

    public void setGranularitySupported(boolean newGranularitySupported)

  Specified by:
    `setGranularitySupported` in interface `TriggerDefinition`
  Parameters:
    `newGranularitySupported` - the new value of the 'Granularity Supported' attribute.
  See Also:
    `TriggerDefinition.isGranularitySupported()`

### isReferencesClauseSupported

    public boolean isReferencesClauseSupported()

  Specified by:
    `isReferencesClauseSupported` in interface `TriggerDefinition`
  Returns:
    the value of the 'References Clause Supported' attribute.
  See Also:
    `TriggerDefinition.setReferencesClauseSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_ReferencesClauseSupported()`

### setReferencesClauseSupported

    public void setReferencesClauseSupported(boolean newReferencesClauseSupported)

  Specified by:
    `setReferencesClauseSupported` in interface `TriggerDefinition`
  Parameters:
    `newReferencesClauseSupported` - the new value of the 'References Clause Supported' attribute.
  See Also:
    `TriggerDefinition.isReferencesClauseSupported()`

### isPerColumnUpdateTriggerSupported

    public boolean isPerColumnUpdateTriggerSupported()

  Specified by:
    `isPerColumnUpdateTriggerSupported` in interface `TriggerDefinition`
  Returns:
    the value of the 'Per Column Update Trigger Supported' attribute.
  See Also:
    `TriggerDefinition.setPerColumnUpdateTriggerSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_PerColumnUpdateTriggerSupported()`

### setPerColumnUpdateTriggerSupported

    public void setPerColumnUpdateTriggerSupported(boolean newPerColumnUpdateTriggerSupported)

  Specified by:
    `setPerColumnUpdateTriggerSupported` in interface `TriggerDefinition`
  Parameters:
    `newPerColumnUpdateTriggerSupported` - the new value of the 'Per Column Update Trigger Supported' attribute.
  See Also:
    `TriggerDefinition.isPerColumnUpdateTriggerSupported()`

### isInsteadOfTriggerSupported

    public boolean isInsteadOfTriggerSupported()

  Specified by:
    `isInsteadOfTriggerSupported` in interface `TriggerDefinition`
  Returns:
    the value of the 'Instead Of Trigger Supported' attribute.
  See Also:
    `TriggerDefinition.setInsteadOfTriggerSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_InsteadOfTriggerSupported()`

### setInsteadOfTriggerSupported

    public void setInsteadOfTriggerSupported(boolean newInsteadOfTriggerSupported)

  Specified by:
    `setInsteadOfTriggerSupported` in interface `TriggerDefinition`
  Parameters:
    `newInsteadOfTriggerSupported` - the new value of the 'Instead Of Trigger Supported' attribute.
  See Also:
    `TriggerDefinition.isInsteadOfTriggerSupported()`

### isRowTriggerReferenceSupported

    public boolean isRowTriggerReferenceSupported()

  Specified by:
    `isRowTriggerReferenceSupported` in interface `TriggerDefinition`
  Returns:
    the value of the 'Row Trigger Reference Supported' attribute.
  See Also:
    `TriggerDefinition.setRowTriggerReferenceSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_RowTriggerReferenceSupported()`

### setRowTriggerReferenceSupported

    public void setRowTriggerReferenceSupported(boolean newRowTriggerReferenceSupported)

  Specified by:
    `setRowTriggerReferenceSupported` in interface `TriggerDefinition`
  Parameters:
    `newRowTriggerReferenceSupported` - the new value of the 'Row Trigger Reference Supported' attribute.
  See Also:
    `TriggerDefinition.isRowTriggerReferenceSupported()`

### isTableTriggerReferenceSupported

    public boolean isTableTriggerReferenceSupported()

  Specified by:
    `isTableTriggerReferenceSupported` in interface `TriggerDefinition`
  Returns:
    the value of the 'Table Trigger Reference Supported' attribute.
  See Also:
    `TriggerDefinition.setTableTriggerReferenceSupported(boolean)`, `DatabaseDefinitionPackage.getTriggerDefinition_TableTriggerReferenceSupported()`

### setTableTriggerReferenceSupported

    public void setTableTriggerReferenceSupported(boolean newTableTriggerReferenceSupported)

  Specified by:
    `setTableTriggerReferenceSupported` in interface `TriggerDefinition`
  Parameters:
    `newTableTriggerReferenceSupported` - the new value of the 'Table Trigger Reference Supported' attribute.
  See Also:
    `TriggerDefinition.isTableTriggerReferenceSupported()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Specified by:
    `getMaximumIdentifierLength` in interface `TriggerDefinition`
  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `TriggerDefinition.setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getTriggerDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int newMaximumIdentifierLength)

  Specified by:
    `setMaximumIdentifierLength` in interface `TriggerDefinition`
  Parameters:
    `newMaximumIdentifierLength` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `TriggerDefinition.getMaximumIdentifierLength()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.